﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;


public class PlayerController : MonoBehaviour {

	public GameObject Bullet;
	public GameObject BulletPosition1;
	public GameObject ExplosionTest;

    public float speed;

	// Use this for initialization
	void Start () {
        speed = 10;
	}
	
	// Update is called once per frame
	void Update () {

		if (Input.GetKeyDown ("space")) {
			GameObject bullet01 = (GameObject)Instantiate (Bullet);
			bullet01.transform.position = BulletPosition1.transform.position;
		}

        float x = Input.GetAxisRaw("Horizontal");
        float y = Input.GetAxisRaw("Vertical");

		Vector2 direction = new Vector2 (x,y).normalized;

		Move (direction);

	}

	void Move (Vector2 direction)
	{
		Vector2 min = Camera.main.ViewportToWorldPoint (new Vector2 (0, 0));
		Vector2 max = Camera.main.ViewportToWorldPoint (new Vector2 (1, 1));

		max.x = max.x - 1f;
		min.x = min.x + 1f;

		max.y = max.y - 0.225f;
		min.y = min.y + 0.225f;

		Vector2 pos = transform.position;

		pos += direction * speed * Time.deltaTime;

		pos.x = Mathf.Clamp (pos.x, min.x, max.x);
		pos.y = Mathf.Clamp (pos.y, min.y, max.y);

		transform.position = pos;
	}

	void OnTriggerEnter2D(Collider2D col)
	{
	
		if ((col.tag == "EnemyShipTag") || (col.tag == "EnemyBulletTag")) {

			PlayExplosion ();
			Destroy (gameObject);
			//yield return new WaitForSeconds (1F);
			SceneManager.LoadScene("LoseScene");


		}
	
	}

	void PlayExplosion()
	{

		GameObject explosion = (GameObject)Instantiate (ExplosionTest);

		explosion.transform.position = transform.position;

	}

}
		

